Your submission was sent successfully! Close

USN-3939-2: Samba vulnerability

8 April 2019

Samba could be made to create files in unexpected locations.

Releases

Packages

  • samba - SMB/CIFS file, print, and login server for Unix

Details

USN-3939-1 fixed a vulnerability in Samba. This update provides
the corresponding update for Ubuntu 12.04 ESM.

Original advisory details:

Michael Hanselmann discovered that Samba incorrectly handled registry
files. A remote attacker could possibly use this issue to create new
registry files outside of the share, contrary to expectations.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 12.04

In general, a standard system update will make all the necessary changes.

References

Related notices

  • USN-3939-1: libsmbsharemodes0, samba-testsuite, samba-common-bin, libnss-winbind, samba-libs, registry-tools, libsmbclient, libwbclient-dev, ctdb, libwbclient0, libsmbclient-dev, samba, samba-common, samba-doc, samba-vfs-modules, libpam-winbind, libsmbsharemodes-dev, python-samba, smbclient, winbind, samba-dev, samba-dsdb-modules, libpam-smbpass, libparse-pidl-perl